RT-THREAD3.0问题

发布于 2017-10-12 16:25:58
昨天下载了最新的rt-thread3.0,在开源龙芯1C开发板上试了试,发现有几个问题:

1.缺少宏定义 RT_THREAD_STAT_MASK
该宏使用在componentsfinishcmd.c中。

2.在lwip2.0.2srcarchsys_arch.c中606行,WEAK应该改为RT_WEAK。

3.在components
etSConscript中:
   # the default version of LWIP is 1.4.1
if not GetDepend('RT_USING_LWIP132') and not GetDepend('RT_USING_LWIP140') and not GetDepend('RT_USING_LWIP202'):
AddDepend('RT_USING_LWIP202')

应该改为
   if not GetDepend('RT_USING_LWIP132') and not GetDepend('RT_USING_LWIP140') and not GetDepend('RT_USING_LWIP202'):
AddDepend('RT_USING_LWIP141')

否则,在使用141时,会先编译1.4.1,然后再编译2.0.2,会出错停止编译

查看更多

关注者
0
被浏览
3.7k
4 个回答
tomyqg
tomyqg 2017-10-12
3.0没有发布了吧 [s:154] [s:154]
bernard
bernard 2017-10-12
等到rt-thread github首页,或README.md中,
"The master branch is frozen util v3.0.0 has been updated"

移除掉了,就表示完全更新完毕。

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友